﻿-----------------------------------------------------------------------
-- Locale
-----------------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("Violation: Threat")

L:RegisterTranslations("enUS", function() return {
	["Global Threat"] = true,
	["T"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Global Threat"] = "전체 위협수준",
} end)
-----------------------------------------------------------------------
-- Locals
-----------------------------------------------------------------------

local moduleName = "Threat"
local threat

-----------------------------------------------------------------------
-- Module declaration
-----------------------------------------------------------------------

local mod = Violation:NewModule(moduleName)
mod.revision = tonumber(("$Revision: 39514 $"):sub(12, -3)) or 1
mod.version = 4
mod.canMergeData = false
mod.violationCategory = "threat"

-----------------------------------------------------------------------
-- Module initialization
-----------------------------------------------------------------------

function mod:OnModuleEnable()
	if not threat then
		threat = AceLibrary("Threat-1.0")
	end
	self:RegisterEvent("Threat_ThreatUpdated")
	self:RegisterEvent("Threat_ThreatCleared")
end

function mod:OnModuleDisable()
	self:UnregisterAllEvents()
end

-----------------------------------------------------------------------
-- Module implementation
-----------------------------------------------------------------------


function mod:GetDisplayName() return L["Global Threat"] end
function mod:GetShortDisplayName() return L["T"] end

function mod:IsBroadcastDirty()
	return false
end

function mod:OnRemoteData(sender, input)
	return
end

function mod:Threat_ThreatCleared()
	self:Reset()
	self.dirty = true
	self:RequestDisplayRefresh()
end

function mod:Threat_ThreatUpdated( name, unit, target, value )
	self.data[name] = threat:GetThreat(name, "_GLOBAL_")
	self.dirty = true
end
